| # Gaudi Framework, version v20r3
Generated: 24 Nov 2008

# ServiceHistory Class Reference

`#include <ServiceHistory.h>`

Inheritance diagram for ServiceHistory:

[legend]
Collaboration diagram for ServiceHistory:

[legend]

List of all members.

## Detailed Description

ServiceHistory class definition.

Author:
  : Charles Leggett

Definition at line 23 of file ServiceHistory.h.

## Public Types
typedef std::vector< Property * > | PropertyList
## Public Member Functions
| ServiceHistory ()
| ServiceHistory (const IService *, const JobHistory *)
| ServiceHistory (const IService &, const JobHistory *)
virtual | ~ServiceHistory ()
virtual const CLID & | clID () const
| Retrieve reference to class definition structure.
const PropertyList & | properties () const
std::string | name () const
| Retreive DataObject name. It is the name when registered in the store.
std::string | type () const
const IService * | service () const
const JobHistory * | jobHistory () const
## Static Public Member Functions
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access).
## Private Attributes
const IService * | m_pService
const JobHistory * | m_jobHistory
std::string | m_name
std::string | m_type
PropertyList | m_properties

## Member Typedef Documentation

typedef std::vector<Property*> ServiceHistory::PropertyList

Definition at line 28 of file ServiceHistory.h.

## Constructor & Destructor Documentation

ServiceHistory::ServiceHistory | ( |  | ) |

Definition at line 27 of file ServiceHistory.cpp.

    00027                               :
    00028   //  HistoryObj(),
    00029   m_pService(0),
    00030   m_name("none"),
    00031   m_type("none")
    00032 {
    00033
    00034 }

ServiceHistory::ServiceHistory | ( | const IService * | isv,
|  | const JobHistory * | job |
| ) |  |  |

Definition at line 38 of file ServiceHistory.cpp.

    00038                                                                         :
    00039   //  HistoryObj(),
    00040   m_pService(isv),
    00041   m_jobHistory(job),
    00042   m_name(isv->name())
    00043 {
    00044
    00045   const Service *svc = dynamic_cast<const Service*>(isv);
    00046   m_type = System::typeinfoName(typeid(*svc));
    00047   m_properties = svc->getProperties();
    00048
    00049 }

ServiceHistory::ServiceHistory | ( | const IService & | isv,
|  | const JobHistory * | job |
| ) |  |  |

Definition at line 54 of file ServiceHistory.cpp.

    00054                                                                         :
    00055   //  HistoryObj(),
    00056   m_pService(&isv),
    00057   m_jobHistory(job),
    00058   m_name(isv.name())
    00059 {
    00060
    00061   const Service *svc = dynamic_cast<const Service*>(&isv);
    00062   m_type = System::typeinfoName(typeid(*svc));
    00063   m_properties = svc->getProperties();
    00064
    00065 }

ServiceHistory::~ServiceHistory | ( |  | ) | `[virtual]`

Definition at line 69 of file ServiceHistory.cpp.

    00069                                 {
    00070
    00071 }

## Member Function Documentation

virtual const CLID& ServiceHistory::clID | ( |  | ) | const`[inline, virtual]`

Retrieve reference to class definition structure.

Retrieve Pointer to class definition structure.

Reimplemented from HistoryObj.

Definition at line 38 of file ServiceHistory.h.

    00038 { return classID(); }

const CLID & ServiceHistory::classID | ( |  | ) | `[static]`

Retrieve reference to class definition structure (static access).

Retrieve Pointer to class definition structure.

Reimplemented from HistoryObj.

Definition at line 75 of file ServiceHistory.cpp.

    00075                                     {
    00076
    00077   static CLID CLID_ServiceHistory = 187225489;   // from `clid ServiceHistory`
    00078   return CLID_ServiceHistory;
    00079
    00080 }

const PropertyList& ServiceHistory::properties | ( |  | ) | const`[inline]`

Definition at line 42 of file ServiceHistory.h.

    00042 { return m_properties; }

std::string ServiceHistory::name | ( |  | ) | const`[inline]`

Retreive DataObject name. It is the name when registered in the store.

Retrieve DataObject name. It is the name when included in the store.

Reimplemented from DataObject.

Definition at line 44 of file ServiceHistory.h.

    00044 { return m_name; }

std::string ServiceHistory::type | ( |  | ) | const`[inline]`

Definition at line 45 of file ServiceHistory.h.

    00045 { return m_type; }

const IService* ServiceHistory::service | ( |  | ) | const`[inline]`

Definition at line 46 of file ServiceHistory.h.

    00046 { return m_pService; }

const JobHistory* ServiceHistory::jobHistory | ( |  | ) | const`[inline]`

Definition at line 48 of file ServiceHistory.h.

    00048 { return m_jobHistory; }

## Member Data Documentation

const IService* ServiceHistory::m_pService`[private]`

Definition at line 52 of file ServiceHistory.h.

const JobHistory* ServiceHistory::m_jobHistory`[private]`

Definition at line 53 of file ServiceHistory.h.

std::string ServiceHistory::m_name`[private]`

Definition at line 54 of file ServiceHistory.h.

std::string ServiceHistory::m_type`[private]`

Definition at line 54 of file ServiceHistory.h.

PropertyList ServiceHistory::m_properties`[private]`

Definition at line 55 of file ServiceHistory.h.

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiKernel/GaudiKernel/ServiceHistory.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiKernel/src/Lib/ServiceHistory.cpp